# mptr_png.cpp File Reference

ppm Target Module More...

`#include "mptr_png.h"`
`#include <synfig/importer.h>`
`#include <synfig/time.h>`
`#include <synfig/general.h>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Defines

#define | PNG_CHECK_BYTES 8
#define | BORDER 1

## Functions

| SYNFIG_IMPORTER_INIT (png_mptr)
| SYNFIG_IMPORTER_SET_NAME (png_mptr,"png")
| SYNFIG_IMPORTER_SET_EXT (png_mptr,"png")
| SYNFIG_IMPORTER_SET_VERSION (png_mptr,"0.1")
| SYNFIG_IMPORTER_SET_CVS_ID (png_mptr,"$Id$")

## Detailed Description

ppm Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define PNG_CHECK_BYTES 8

Referenced by png_mptr::png_mptr().

#define BORDER 1

Referenced by png_mptr::png_mptr().

## Function Documentation

SYNFIG_IMPORTER_INIT | ( | png_mptr |  | ) |

SYNFIG_IMPORTER_SET_NAME | ( | png_mptr | ,
|  | "png" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_EXT | ( | png_mptr | ,
|  | "png" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_VERSION | ( | png_mptr | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_CVS_ID | ( | png_mptr | ,
|  | "$Id$" |  |
| ) |  |  |